%define fname   elib
%define name	emacs-%{fname}
%define version	1.0
%define release	3mdk
%define elibdir	%{_datadir}/emacs/site-lisp/%{fname}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Emacs Lisp Library
Requires:	emacs >= 20.7
License:	GPL
URL:		http://jde.sunsite.dk/
Source:		http://jde.sunsite.dk/%{fname}-%{version}.tar.bz2
Patch:		emacs-elib-1.0-direntry.patch.bz2
Group:		Editors
Obsoletes:	elib
Provides:	elib = %version-%release
Buildroot:	%_tmppath/%{name}-root
BuildArch:	noarch
BuildRequires:	emacs-bin
BuildRequires:	texinfo

%description
The Emacs Lisp Library.

%prep
%setup -q -n %fname-%version
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_usr/share/emacs/site-lisp/%{fname}
install -d $RPM_BUILD_ROOT{%{elibdir},%{_infodir}}

install -m 644 *.el *.elc $RPM_BUILD_ROOT%{elibdir}
install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{fname}.info

%postun
%_remove_install_info %{fname}.info

%files
%defattr (-, root, root)
%doc ChangeLog COPYING INSTALL NEWS README RELEASING TODO
%{elibdir}
%{_infodir}/*info*

%changelog
* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-3mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-2mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Sun Mar 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-1mdk
- contributed by David Walluck <david@anti-microsoft.org
